Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/opendkim/Makefile,v
retrieving revision 1.12
diff -u -p -r1.12 Makefile
--- Makefile	16 Mar 2013 00:07:02 -0000	1.12
+++ Makefile	18 May 2013 23:02:48 -0000
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.12 2013/03/16 00:07:02 pettai Exp $
 
-DISTNAME=	opendkim-2.7.4
+DISTNAME=	opendkim-2.8.3
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=opendkim/}
 
Index: PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/mail/opendkim/PLIST,v
retrieving revision 1.8
diff -u -p -r1.8 PLIST
--- PLIST	5 Jan 2013 17:05:07 -0000	1.8
+++ PLIST	18 May 2013 23:02:48 -0000
@@ -2,14 +2,11 @@
 include/opendkim/dkim.h
 lib/libopendkim.la
 lib/pkgconfig/opendkim.pc
-man/man5/opendkim.conf.5
 man/man8/opendkim-genkey.8
 man/man8/opendkim-genzone.8
 man/man8/opendkim-testadsp.8
 man/man8/opendkim-testkey.8
 man/man8/opendkim-testmsg.8
-man/man8/opendkim.8
-sbin/opendkim
 sbin/opendkim-genkey
 sbin/opendkim-genzone
 sbin/opendkim-testadsp
@@ -32,6 +29,8 @@ share/doc/opendkim/dkim.html
 share/doc/opendkim/dkim_add_querymethod.html
 share/doc/opendkim/dkim_add_xtag.html
 share/doc/opendkim/dkim_alg_t.html
+share/doc/opendkim/dkim_atps_check.html
+share/doc/opendkim/dkim_atps_t.html
 share/doc/opendkim/dkim_body.html
 share/doc/opendkim/dkim_canon_t.html
 share/doc/opendkim/dkim_cbstat.html
@@ -76,6 +75,7 @@ share/doc/opendkim/dkim_getsighdr.html
 share/doc/opendkim/dkim_getsighdr_d.html
 share/doc/opendkim/dkim_getsiglist.html
 share/doc/opendkim/dkim_getsignature.html
+share/doc/opendkim/dkim_getsslbuf.html
 share/doc/opendkim/dkim_getuser.html
 share/doc/opendkim/dkim_header.html
 share/doc/opendkim/dkim_init.html
@@ -114,6 +114,7 @@ share/doc/opendkim/dkim_set_signature_ha
 share/doc/opendkim/dkim_set_signature_handle_free.html
 share/doc/opendkim/dkim_set_signature_tagvalues.html
 share/doc/opendkim/dkim_set_signer.html
+share/doc/opendkim/dkim_set_trust_anchor.html
 share/doc/opendkim/dkim_set_user_context.html
 share/doc/opendkim/dkim_setpartial.html
 share/doc/opendkim/dkim_sig_getbh.html
@@ -125,6 +126,7 @@ share/doc/opendkim/dkim_sig_getdomain.ht
 share/doc/opendkim/dkim_sig_geterror.html
 share/doc/opendkim/dkim_sig_geterrorstr.html
 share/doc/opendkim/dkim_sig_getflags.html
+share/doc/opendkim/dkim_sig_gethashes.html
 share/doc/opendkim/dkim_sig_getidentity.html
 share/doc/opendkim/dkim_sig_getkeysize.html
 share/doc/opendkim/dkim_sig_getqueries.html
@@ -133,15 +135,18 @@ share/doc/opendkim/dkim_sig_getselector.
 share/doc/opendkim/dkim_sig_getsignalg.html
 share/doc/opendkim/dkim_sig_getsignedhdrs.html
 share/doc/opendkim/dkim_sig_getsigntime.html
+share/doc/opendkim/dkim_sig_getsslbuf.html
 share/doc/opendkim/dkim_sig_gettagvalue.html
 share/doc/opendkim/dkim_sig_hdrsigned.html
 share/doc/opendkim/dkim_sig_ignore.html
 share/doc/opendkim/dkim_sig_process.html
+share/doc/opendkim/dkim_sig_seterror.html
 share/doc/opendkim/dkim_sig_syntax.html
 share/doc/opendkim/dkim_sigerror.html
 share/doc/opendkim/dkim_siginfo.html
 share/doc/opendkim/dkim_sigkey_t.html
 share/doc/opendkim/dkim_sign.html
+share/doc/opendkim/dkim_signhdrs.html
 share/doc/opendkim/dkim_ssl_version.html
 share/doc/opendkim/dkim_stat.html
 share/doc/opendkim/dkim_verify.html
@@ -149,6 +154,7 @@ share/doc/opendkim/dns.html
 share/doc/opendkim/example.com.ldif
 share/doc/opendkim/index.html
 share/doc/opendkim/opendkim
+share/doc/opendkim/opendkim-default-keygen
 share/doc/opendkim/opendkim-fixipaddrs.pl
 share/doc/opendkim/opendkim-spam-ignore-cmdswitch.patch
 share/doc/opendkim/opendkim.conf.sample
@@ -156,8 +162,8 @@ share/doc/opendkim/opendkim.conf.simple
 share/doc/opendkim/opendkim.conf.simple-verify
 share/doc/opendkim/opendkim.ldif
 share/doc/opendkim/opendkim.schema
+share/doc/opendkim/opendkim.service
 share/doc/opendkim/opendkim.spec.in
 share/doc/opendkim/opendkim.xml
 share/doc/opendkim/overview.html
 share/doc/opendkim/stats.lua
-share/examples/rc.d/opendkim
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/mail/opendkim/distinfo,v
retrieving revision 1.10
diff -u -p -r1.10 distinfo
--- distinfo	16 Mar 2013 00:07:03 -0000	1.10
+++ distinfo	18 May 2013 23:02:48 -0000
@@ -1,6 +1,6 @@
 $NetBSD: distinfo,v 1.10 2013/03/16 00:07:03 pettai Exp $
 
-SHA1 (opendkim-2.7.4.tar.gz) = e21218d1da441c9a97bd65a566dc33dd3a331609
-RMD160 (opendkim-2.7.4.tar.gz) = d9bb2ea541cb2977cfffde102152c89332ed297d
-Size (opendkim-2.7.4.tar.gz) = 1158496 bytes
-SHA1 (patch-configure) = 8e635d41c213f899b31b392b1cdb96c8d5113ca4
+SHA1 (opendkim-2.8.3.tar.gz) = ea7226a5f36ab466b0089bee92d40beebc7b1e75
+RMD160 (opendkim-2.8.3.tar.gz) = ef10811609daea4e255ca2201fe723c12c79c0b9
+Size (opendkim-2.8.3.tar.gz) = 1182214 bytes
+SHA1 (patch-configure) = f43b419d08f43500b09359647a13e8cc922fd18f
Index: patches/patch-configure
===================================================================
RCS file: /cvsroot/pkgsrc/mail/opendkim/patches/patch-configure,v
retrieving revision 1.1
diff -u -p -r1.1 patch-configure
--- patches/patch-configure	12 Nov 2012 19:23:36 -0000	1.1
+++ patches/patch-configure	18 May 2013 23:02:48 -0000
@@ -2,9 +2,9 @@ $NetBSD: patch-configure,v 1.1 2012/11/1
 
 Portability fixes
 
---- configure.orig	2012-11-12 18:55:05.000000000 +0000
-+++ configure
-@@ -18989,18 +18989,18 @@ then
+--- configure.orig	2013-05-05 00:56:18.000000000 +0200
++++ configure	2013-05-18 19:29:47.000000000 +0200
+@@ -19925,18 +19925,18 @@ then
  	as_fn_error $? "reputation requires libxml2 or libjansson" "$LINENO" 5
  fi
  
